<%@ page import="java.util.*, com.maththinking.dbcruiser.*" %>
<% 
   ConfigBean info = ConfigBean.getInstance();
   if (!info.isLoaded()) {
       info.reload();
       if (!info.isLoaded()) {
           out.println("<html><body><center>");
           out.println("<font size=+1 color=crimson>Configuration Error:</font><p>"+info.getConfigError());
           out.println("</center></body></html>");
           return;
       }
   }
   
   String contextPath = request.getContextPath();
   String servlet_prefix = info.get("servlet_prefix");
   String jsp_prefix     = info.get("jsp_prefix");
   String jspPath  = contextPath+jsp_prefix;
   String imagePath      = contextPath+jsp_prefix+"images";
   String admin_user = (String)application.getAttribute("admin_user");
   if (admin_user == null) {
	   request.getRequestDispatcher(jsp_prefix+"admin_login.jsp").forward(request, response);
       return;
   }
   String conn_id = request.getParameter("id");
   ArrayList connList = info.getConnectionList();
   HashMap connInfo = null;
   for (Iterator iter = connList.iterator(); iter.hasNext();) {
        HashMap cInfo = (HashMap)iter.next();
		if (((String)cInfo.get("id")).equals(conn_id)) {
			connInfo = cInfo;
		}	
   }
   String message = (String)request.getAttribute("message");
   String browser = request.getHeader("User-Agent");
%>
<HTML>
<HEAD>
<link rel=stylesheet href=<%=jspPath%>basic.css>
<link rel=stylesheet href=<%=jspPath%>link.css>
<TITLE>DB Cruiser Administration -- Connection Detail</TITLE>
<SCRIPT Language="JavaScript" SRC="<%=contextPath%><%=jsp_prefix%>common.js"></SCRIPT>
</HEAD>
<BODY background="<%=(contextPath+jsp_prefix)%><%=info.get("admin_bg")%>" OnLoad="setValues();setTimeout(window.close, 300000)"><CENTER>
<FONT SIZE=+2 FACE=Arial COLOR="#006633"><B>DB Cruiser Administration</B></FONT>
<FORM NAME=detail METHOD=POST ACTION="<%=contextPath%><%=servlet_prefix%>ControlServlet">
<INPUT TYPE="hidden" NAME="controller" value="ModifyConnDetail">
<INPUT TYPE="hidden" NAME="id" value="<%=conn_id%>">
<INPUT TYPE="hidden" NAME="type" value="modify">
<%  if (connInfo != null) { %>
    <font size=+1 FACE=Arial color=#0000CC>Connection Configuration</font>
<%  } else { %>
   <font size=+1 FACE=Arial color=#0000CC>Add New Connection</font>
<%  } %>
<p>
<% if (message != null) { %>
       <%=message%>
<% } %>
    <table border=0>
    <tr>    
		<td><FONT FACE=Arial COLOR="navy">Connection Name</FONT></td>
	    <td colspan=2><INPUT TYPE="text" NAME="display_name" SIZE=50 ></td>
	</tr><tr>
        <td><FONT FACE=Arial COLOR="navy">Short_Name</FONT></td>
	    <td colspan=2><INPUT TYPE="text" SIZE=20 MAXLENGTH=15 NAME="short_name" ></td>
	</tr><tr>
        <td><FONT FACE=Arial COLOR="navy">Database Product</FONT></td>
	    <td colspan=2><INPUT TYPE="text" SIZE=20 NAME="product" ></td>
	</tr><tr>
        <td><FONT FACE=Arial COLOR="navy">Driver Class</FONT></td>
	    <td colspan=2><INPUT TYPE="text" NAME="driver" SIZE=50 ></td>
	</tr><tr>
        <td><FONT FACE=Arial COLOR="navy">Connection URL</FONT></td>
	    <td colspan=2><INPUT TYPE="text" NAME="url" SIZE=50 ></td>
	</tr><tr>
        <td><FONT FACE=Arial COLOR="navy">Conntion Type</FONT></td>
	    <td colspan=2><SELECT NAME="conn_type"><option value=1>Type 1
		                             <option value=2>Type 2
		                             <option value=3>Type 3
	                                 <option>weblogic.jdbc.mssqlserver4.Driver
	                                 <option>sybase_jconnect_v4
	                                 <option>sybase_jconnect_v5
	                                 <option>sybase_jconnect_v6
	                                 <option>org.gjt.mm.mysql.Driver
	        </SELECT></td>
	</tr><tr>
        <td><FONT FACE=Arial COLOR="navy">Editable Row</FONT></td>
        <td><SELECT NAME="editableRow"><OPTION value=true>True<OPTION value=false>False</SELECT></td>
		<td><nobr><FONT FACE=Arial COLOR="navy">Display Font Size</FONT>
            <SELECT NAME="display_font_size"><OPTION value=Default>Default
		                                <OPTION value="-1">-1
										<OPTION value="-2">-2
										<OPTION value="-3">-2
										<OPTION value="+1">+1
										<OPTION value="+2">+2
										<OPTION value="+3">+3
			 </SELECT></nobr>
		</td>
	</tr>	
	</table>
	<p>
<nobr>
<% if (browser != null && (browser.indexOf("MSIE") == -1)) { %>
       &nbsp;
<% } %> 
	<%=info.button("javascript:helpWindow();", "_self", "admin_help", imagePath)%>
	<%=info.button("javascript:logout();", "_self", "admin_logout", imagePath)%>
	<%=info.button(contextPath+jsp_prefix+"admin_menu.jsp", "_self", "admin_main", imagePath)%>
    <%=info.button(contextPath+jsp_prefix+"connection_list.jsp", "_self", "admin_back", imagePath)%>	
<%  if (connInfo == null) { %>
	<%=info.button("javascript:addConnection();", "_self", "admin_save", imagePath)%>
<%  } else { %>
    <%=info.button("javascript:deleteConnection();", "_self", "admin_delete", imagePath)%>
	<%=info.button("javascript:saveAsConnection();", "_self", "admin_save_as", imagePath)%>
	<%=info.button("javascript:modifyConnection();", "_self", "admin_save", imagePath)%>
<%  } %>
</nobr>
</FORM>
<%=info.copyrightStr2()%>
</CENTER></BODY>
</HTML>

<SCRIPT LANGUAGE="JavaScript">
<!--
function helpWindow() {
	var width = 700;
	var winl = (screen.width - width) / 2;
	openPopup2("<%=contextPath+jsp_prefix%>conn_config_help.html", "connection_detail_help", width, 550, 0, winl);
}

function setValues() {
<%  if (connInfo != null) { %>
    document.detail.display_name.value = "<%=(String)connInfo.get("display_name")%>";
    document.detail.short_name.value = "<%=(String)connInfo.get("short_name")%>";
	document.detail.product.value = "<%=(String)connInfo.get("product")%>";
	document.detail.driver.value = "<%=(String)connInfo.get("driver")%>";
	document.detail.url.value = "<%=(String)connInfo.get("url")%>";
	var conntype = document.detail.conn_type;
    for (var i=0; i<conntype.length; i++) {
		 if (conntype.options[i].text == "<%=(String)connInfo.get("conn_type")%>") {
             conntype.options[i].selected = true;
		 }
    }
	var editable = document.detail.editableRow;
    for (var i=0; i<editable.length; i++) {
		 if (editable.options[i].value == "<%=(String)connInfo.get("editableRow")%>") {
             editable.options[i].selected = true;
		 }
    }
	var displayFont = document.detail.display_font_size;
    for (var i=0; i<displayFont.length; i++) {
		 if (displayFont.options[i].value == "<%=(String)connInfo.get("display_font_size")%>") {
             displayFont.options[i].selected = true;
		 }
    }
<%  } %>
}

function addConnection() {
	if (checkFields()) {
	    if (confirm("Add this new connection?")) {
            document.detail.type.value="insert";
	        document.detail.submit();
		}
	}
}

function saveAsConnection() {
	if (checkFields()) {
	    if (confirm("Save as a new connection with specified information?")) {
            document.detail.type.value="insert";
	        document.detail.submit();
		}
	}
}

function modifyConnection() {
	if (checkFields()) {
	    if (confirm("Save the modification of this connection?")) {
            document.detail.type.value="modify";
	        document.detail.submit();
		}
	}
}
function deleteConnection() {
	if (confirm("Delete this connection?")) {
        document.detail.type.value="delete";
	    document.detail.submit();
	}
}
function checkFields() {
	if (document.detail.display_name.value == "") {
		alert("Please enter display name.");
		return false;
	}
	if (!checkChars(document.detail.display_name.value)) {
		return false;
	}
	if (document.detail.product.value == "") {
		alert("Please enter database product.");
		return false;
	}
	if (!checkChars(document.detail.product.value)) {
		return false;
	}
	if (document.detail.driver.value == "") {
		alert("Please enter JDBC driver class.");
		return false;
	}
	if (!checkChars(document.detail.driver.value)) {
		return false;
	}
	if (document.detail.url.value == "") {
		alert("Please enter connection URL.");
		return false;
	}
	if (!checkChars(document.detail.url.value)) {
		return false;
	}
	return true;
}
function checkChars(str) {
	if ((str.indexOf("&") != -1) || (str.indexOf("<") != -1) || (str.indexOf(">") != -1) || (str.indexOf("\"") != -1)) {
		alert("Value can not contain character &, <, > or \"");
		return false;
	}
	return true;
}

function logout() {
	document.detail.action = "<%=contextPath%><%=servlet_prefix%>ControlServlet";
	document.detail.controller.value = "AdminLogout";
	document.detail.submit();
	window.close();
}
//-->
</SCRIPT>

