<%@ page import="java.net.URLEncoder,com.maththinking.dbcruiser.*" %>
<% 
   ConfigBean info = ConfigBean.getInstance();
   String contextPath = request.getContextPath();
   String servlet_prefix = info.get("servlet_prefix");
   String servletPath  = contextPath+servlet_prefix;
   String jsp_prefix     = info.get("jsp_prefix");
   String jspPath  = contextPath+jsp_prefix;
   String userid = (String)session.getValue("userid"); 
   if (userid == null) {
       request.getRequestDispatcher(jsp_prefix+"login.jsp").forward(request, response);
       return;
   }
   String db_product = (String)session.getAttribute("db_product");
   String browser    = (String)session.getAttribute("browser");
   String mark = " ";
   String input_string = (String)session.getAttribute("input_string");
   if (input_string == null) {
       input_string = "";
       mark = "";
   }
   String imagePath  = contextPath+jsp_prefix+"images";
%>

<html>
<head>
<link rel=stylesheet href=<%=jspPath%>basic.css>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <link rel=stylesheet href=<%=jspPath%>input.css>
<% } %>
<title>SQL Work Sheet</title>
<SCRIPT Language="JavaScript" SRC="<%=jspPath%>common.js"></SCRIPT>
<style>
a {text-decoration:none}
a:hover {color: red}
</style>
</head>
<base target=query_out>
<body background="<%=jspPath%><%= info.get("dbcruiser_bg") %>">
<center>
<form NAME   = "in_form"
      METHOD = "POST"
      ACTION = "<%=contextPath%><%=servlet_prefix%>ControlServlet";
>
<INPUT TYPE="hidden" NAME="controller" value="SQLWork">
<INPUT TYPE="hidden" NAME="processing_bar" value="false">
<INPUT TYPE=hidden NAME="execute_action">
<INPUT TYPE=hidden name=instring value="<%= mark %>">
<INPUT TYPE=hidden name=string_to_save>
<INPUT TYPE=hidden name=file_to_save value="sql_work_input.txt">
<table border=0><tr><td height=28>
       <font FACE="Helvetica,Arial" size=+2 color="#0000CC"><b>SQL Work Area</b></font>
</td></td></table>
<TABLE BORDER=0>
<TR><TD>
<table border=0 cellpadding=0 cellspacing=0 vspace=0 width=100%><tr>
<td align=left><nobr>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
    <b>Auto Commit:</b>&nbsp;<SELECT NAME="auto_commit"><option VALUE="false">No <option VALUE="true">Yes </SELECT>&nbsp;   
    <b>Display Size:</b>
<% } else { %>
	<font FACE="Arial" color=#0000A0><b>Auto Commit:</b></font>&nbsp;<SELECT NAME="auto_commit"><option VALUE="false">No <option VALUE="true">Yes </SELECT>&nbsp;   
    <font FACE="Arial" color=#0000A0><b>Display Size:</b></font>&nbsp;
<% } %>
	<SELECT NAME="display_rows"><option VALUE="5">5 
                                                 <option VALUE="10">10 <option VALUE="15">15 
                                                 <option VALUE="20">20 <option VALUE="30">30
                                                 <option VALUE="40">40 <option VALUE="50">50
                                                 <option VALUE="75">75 <option VALUE="100">100
                                                 <option VALUE="150">150 <option VALUE="200">200
                                                 </SELECT>
</nobr></td><td align=right><nobr>
<% if (browser != null && (browser.indexOf("MSIE") == -1)) { %>&nbsp;<% } %>
    <%=info.button(jspPath+"sql_work_output.jsp", "query_out", "help_action", imagePath)%>
    <%=info.button("javascript:popUp();", "_self", "history", imagePath)%>
    <%=info.button("javascript:setAction('Rollback');", "_self", "rollback", imagePath)%>
    <%=info.button("javascript:setAction('Commit');", "_self", "commit", imagePath)%>
    <%=info.button("javascript:checkFields();", "_self", "execute", imagePath)%>
</nobr></td>
</tr></table>
</TD></TR><TR><TD>
<table border=0 cellpadding=0 cellspacing=0 vspace=0 width=100%><tr>
<td align=left valign=bottom>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <b><nobr>SQL Statements:</nobr></b>
<% } else { %>
       <font FACE="Arial" color=#0000A0><b><nobr>SQL Statements:</nobr></b></font>
<% } %>
</td> 
<td align=right><nobr>&nbsp;
<%=info.button("javascript:clearStatement();", "_self", "clear_sql", imagePath)%>
<%=info.button("javascript:saveToFile();", "_self", "save_sql", imagePath)%>
<%=info.button("javascript:uploadInput();", "_self", "load_sql", imagePath)%>
<INPUT TYPE="file" SIZE=12 NAME="filename">
</nobr></td>
</tr></table>
</TD></TR><TR><TD align=center>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <TEXTAREA COLS="110" ROWS="10" NAME="statement" WRAP="SOFT"><%= input_string %></TEXTAREA>
<% } else { %>
       <TEXTAREA COLS="85" ROWS="8" NAME="statement" WRAP="SOFT"><%= input_string %></TEXTAREA>
<% } %>
</TD></TR>
</TABLE>
</FORM>
</center>

<SCRIPT LANGUAGE="JavaScript">

function clearStatement() {
   document.in_form.statement.value = "";
   document.in_form.statement.focus();
}

function setAction(act) {
   document.in_form.execute_action.value = act;
   document.in_form.processing_bar.value = "false";
   document.in_form.submit();
}

function saveToFile() {
   document.in_form.controller.value="SaveToFile";
   document.in_form.string_to_save.value=document.in_form.statement.value;
   document.in_form.submit();
   document.in_form.action = "<%=servletPath%>ControlServlet";
<% if (browser != null && ((browser.indexOf("MSIE 5.5") != -1) || (browser.indexOf("MSIE 6") != -1))) { %>
       setTimeout("saveAnnounce()", 6000);
<% } %>
}

function saveAnnounce() {
	var msg = "If something doesn't function properly after saving statements, \n"+
		      "please click \"SQL Work Area\" on the left-hand menu bar, \n"+
		      "or click the \"Refresh\" or \"Reload\" button of the browser."; 
	alert(msg);
}

function uploadInput() {
    document.in_form.action = "<%=contextPath%><%=servlet_prefix%>UploadInputServlet";
    document.in_form.target = "_self";
    document.in_form.encoding = "multipart/form-data";
    
    if (document.in_form.filename.value == "") {
        alert("No file specified.\n\nUse \"Browse...\" button to select an input file.");
        document.in_form.filename.focus();
    } else {  
        document.in_form.submit();
    }
}

function popUp(width, height, top, left) {
   var today = new Date();
   var url = '<%=servletPath%>ControlServlet?controller=SQLWorkHistory&history_name=sql_work_history&history_title=<%= URLEncoder.encode("SQL Work History") %>&id='+today.getTime();
   var winProperty = 'resizable=1,scrollbars=1,titlebar=yes,menubar=no,toolbar=yes,location=no'
                   + ',width='+width+',height='+height+',top='+top+',left='+left;
   var name = 'sql_work_history';
   var newWin = open(url,name,winProperty);
   newWin.focus();
}

qrtdBase = document.in_form.display_rows;
acBase   = document.in_form.auto_commit;

function checkFields() {   
    document.in_form.execute_action.value = "";   
    if (document.in_form.statement.value == "") {
        alert("Please enter SQL statement");
        document.in_form.statement.focus();
        return false;
    }
	var stmt = trimLead(document.in_form.statement.value);
	stmt.toLowerCase();
    document.in_form.controller.value="SQLWork";
    var today   = new Date()
    var expires = new Date()
    expires.setTime(today.getTime() + 60*60*24*365*1000)
    setCookie("statement", document.in_form.statement.value,expires);
    setCookie("qrtdIndex", qrtdBase.selectedIndex,expires);
    setCookie("acIndex",   acBase.selectedIndex,expires);
	if ((stmt.indexOf("select") == 0) || (stmt.indexOf("update") == 0) || (stmt.indexOf("delete") == 0)) {
	    <%=info.processingit(browser, servletPath)%>
	}
    document.in_form.submit(); 
}

if (document.in_form.instring.value == "" ) {
    var statement = getCookie("statement")?getCookie("statement"):"select * from scott.emp";
    document.in_form.statement.value = statement;
}
var qrtdIndex = getCookie("qrtdIndex")?getCookie("qrtdIndex"):"0";
qrtdBase.selectedIndex = qrtdIndex;
var acIndex = getCookie("acIndex")?getCookie("acIndex"):"0";
acBase.selectedIndex = acIndex;

</SCRIPT>
</body>
</html>