<%@ page import="java.util.*, com.maththinking.dbcruiser.*" %>
<% 
   ConfigBean info = ConfigBean.getInstance();
   String contextPath = request.getContextPath();
   String jsp_prefix  = info.get("jsp_prefix");
%>
<HTML>
<HEAD>
<TITLE>DB Cruiser Login Help</TITLE>
<META content="MSHTML 5.00.2314.1000" name=GENERATOR>
<SCRIPT LANGUAGE="JavaScript">
window.focus();
</SCRIPT>
</HEAD>
<body background="<%=contextPath%><%=jsp_prefix%><%= info.get("dbcruiser_bg") %>">
<center>
<H1>DB Cruiser Login</H1>
<table border=0 width=70%>
<tr><td colspan=2>
<font size=+1>There are two ways to connect to a database:</font>
</td></tr>
<tr><td>&nbsp;</td></tr>
<tr>
<td valign=top>(1)</td>
<td> 
    <font color=darkgreen><b>Connect to selected database:</b></font><br> 
    Simply select the database you want to connect from the list, then click Login.
    <p>
    Users do not have to know about details of connections, provided that some knowledgeable person
    prepared the list in dbcruiser_config.xml file.
    <p>
    This is the most common way to connect to a database in a business environment.
    <p>
    Using this way of connection, you can connect to any databases with JDBC drivers. Furthermore, you 
    may use any type of JDBC drivers in this way of connection.<br>
</td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
<td valign=top>(2)</td>
<td>
    <font color=darkgreen><b>Connect to a database using specified information:</font></b><br>
    You can always connect to a database by providing the following information:<p>
    
    <b>Port Number:</b> The port the database server listening to. For example, the default port number for Oracle is 1521.<br>
    <b>Database Name:</b> The name of the database. For example, TestDB.<br>
    <b>Database Hostname:</b> The hostname or IP address of the database server machine.<br>
    <b>Database Product:</b> Choose the product from the drop-down list. <br>
    <p>
    This way of the connection provides the most flexibility: you can connect to any database in you
    company without installing clients of the database or re-configurating the web server, as long as the
    appropriate Type 4 JDBC drivers are  in the CLASSPATH.
    <p>
    For this way of the connections, DB Cruiser currently supports Oracle, Sybase, DB2, Informix and MySQL. 
    It can support any databases with Type 4 JDBC drivers.
</td>
</tr>
</table>
<p>
<%=info.copyrightStr2()%>
</center>
</BODY>
</HTML>
