<%@ page import="java.util.*,com.maththinking.dbcruiser.*" %>
<jsp:useBean id="appBean" scope="application" class="com.maththinking.dbcruiser.AppBean" />
<jsp:setProperty name="appBean" property="*" />
<% 
   ConfigBean info = ConfigBean.getInstance();
   String contextPath = request.getContextPath();
   String servlet_prefix = info.get("servlet_prefix");
   String servletPath  = contextPath+servlet_prefix;
   String jsp_prefix     = info.get("jsp_prefix");
   String jspPath = contextPath+jsp_prefix;
   String userid = (String)session.getValue("userid"); 
   if (userid == null) {
       request.getRequestDispatcher(jsp_prefix+"login.jsp").forward(request, response);
       return;
   } 
   String db_product = (String)session.getValue("db_product");
   String browser    = (String)session.getAttribute("browser");
   String imagePath  = contextPath+jsp_prefix+"images";
%>
<html>
<head>
<link rel=stylesheet href=<%=jspPath%>basic.css>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <link rel=stylesheet href=<%=jspPath%>input.css>
<% } %>
<title>Stored Procedures</title>
<SCRIPT Language="JavaScript" SRC="<%=jspPath%>common.js"></SCRIPT>
</head>
<base target=table_out>
<body background="<%=jspPath%><%= info.get("dbcruiser_bg") %>">
<center>

<FORM NAME="in_form" 
      ACTION="<%=servletPath%>ControlServlet"
      METHOD="POST" >
<INPUT TYPE="hidden" NAME="controller" value="ProcedureList">
<INPUT TYPE="hidden" NAME="processing_bar" value="true">
<table border=0><tr><td height=28>
       <font FACE="Helvetica,Arial" size=+2 color="#0000CC"><b>Stored Procedures</b></font>
</td></td></table>
<TABLE BORDER=0>
<TR><TD>
<table border=0 cellpadding=0 cellspacing=0 vspace=0 width=100%><tr>
<td align=left><nobr>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
    <b>Schema:</b>
    <select name="schema" style="width:290"><option value="all">ALL <%= appBean.schemaList(request) %></select>
	</nobr></td><td align=right><nobr>
    &nbsp;&nbsp;<b>Pattern:</b>
	<INPUT TYPE="text" SIZE="32" NAME="pattern" VALUE="%">
<% } else { %>
    <font FACE="Arial" color="#0000A0"><b>Schema:</b></font>
    <select name="schema"><option value="all">ALL <%= appBean.schemaList(request) %></select>
	</nobr></td><td align=right><nobr>
    &nbsp;&nbsp;<font FACE="Arial" color="#0000A0"><b>Pattern:</b></font>
	<INPUT TYPE="text" SIZE="26" NAME="pattern" VALUE="%">
<% } %>
</nobr></td>
</tr></table>
</TD></TR><TR><TD>
<table border=0 cellpadding=0 cellspacing=0 vspace=0 width=100%><tr>
<td align=left><nobr>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>  
	<b>Catalog:</b>
	<select name="catalog" style="width:290"><option value="all">ALL <option value="">Without Catalog<%= appBean.catalogList(request) %></select>
	</nobr></td><td align=right><nobr>
    &nbsp;&nbsp;<b>Display Size:</b>&nbsp;
<% } else { %>
    &nbsp;
	<font FACE="Arial" color="#0000A0"><b>Catalog:</b></font>
	<select name="catalog"><option value="all">ALL <option value="">Without Catalog<%= appBean.catalogList(request) %></select>
		</nobr></td><td align=right><nobr>
    &nbsp;&nbsp;<font FACE="Arial" color=#0000A0><b>Display Size:</b></font>&nbsp;
<% } %>
    <SELECT NAME="display_rows"><option VALUE="5">5 
                                                 <option VALUE="10">10 <option VALUE="15">15 
                                                 <option VALUE="20">20 <option VALUE="30">30
                                                 <option VALUE="40">40 <option VALUE="50">50
                                                 <option VALUE="75">75 <option VALUE="100">100
                                                 <option VALUE="150">150 <option VALUE="200">200
                                                 </SELECT>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>  
    <%=info.button("javascript:checkFields();", "_self", "get_procedures", imagePath)%>
<% } else { %>
    <%=info.button("javascript:checkFields();", "_self", "ns_get_procedures", imagePath)%>
<% } %>
</nobr></td>
</table></tr>
</TD></TR>
</TABLE>
</FORM>
</center>
<SCRIPT LANGUAGE="JavaScript">
document.in_form.pattern.focus();
schemaBase = document.in_form.schema;
catalogBase = document.in_form.catalog;
function checkFields() {  
    if ((document.in_form.pattern.value == "") || (document.in_form.pattern.value == " ")) {
		if (confirm('No pattern specified. Continue?')) {
			document.in_form.pattern.value = "%";
			submitRequest();
		} else {
            document.in_form.pattern.focus();
		}
    } else {
		submitRequest();
    }
}

function submitRequest() {
	var today   = new Date()
        var expires = new Date()
        expires.setTime(today.getTime() + 60*60*24*365*1000)
        setCookie("pattern", document.in_form.pattern.value,expires);
        setCookie("schemaIndex", schemaBase.selectedIndex,expires);
        setCookie("catalogIndex", catalogBase.selectedIndex,expires);
        setCookie("plIndex", document.in_form.display_rows.selectedIndex,expires);
		<%=info.processingit(browser, servletPath)%>
        document.in_form.submit();
}

var pattern = getCookie("pattern")?getCookie("pattern"):"%";
document.in_form.pattern.value = pattern;
var schemaIndex = getCookie("schemaIndex")?getCookie("schemaIndex"):"0";
if (schemaIndex < schemaBase.length) {
    schemaBase.selectedIndex = schemaIndex;
}
var catalogIndex = getCookie("catalogIndex")?getCookie("catalogIndex"):"0";
if (catalogIndex < catalogBase.length) {
    catalogBase.selectedIndex = catalogIndex;
}
var plIndex = getCookie("plIndex")?getCookie("plIndex"):"0";
document.in_form.display_rows.selectedIndex = plIndex;
</SCRIPT>

</body>
</html>
